## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate nom

Name:           rust-%{crate}6
Version:        6.2.1
Release:        %autorelease
Summary:        Byte-oriented, zero-copy, parser combinators library

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/nom
Source:         %{crates_source}
# Initial patched metadata
# * relax memchr dependency range (MSRV is not relevant for Fedora)
# * drop benchmarks and examples not shipped with the crate
# * drop criterion dev-dependency (used only in benchmarks)
# * drop unused optional jemallocator dev-dependency
Patch0:         nom-fix-metadata.diff

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Byte-oriented, zero-copy, parser combinators library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc doc README.md CHANGELOG.md doc/nom_recipes.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+bitvec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bitvec-devel %{_description}

This package contains library source intended for building other packages
which use "bitvec" feature of "%{crate}" crate.

%files       -n %{name}+bitvec-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+docsrs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+docsrs-devel %{_description}

This package contains library source intended for building other packages
which use "docsrs" feature of "%{crate}" crate.

%files       -n %{name}+docsrs-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+funty-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+funty-devel %{_description}

This package contains library source intended for building other packages
which use "funty" feature of "%{crate}" crate.

%files       -n %{name}+funty-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lazy_static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lazy_static-devel %{_description}

This package contains library source intended for building other packages
which use "lazy_static" feature of "%{crate}" crate.

%files       -n %{name}+lazy_static-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lexical-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-devel %{_description}

This package contains library source intended for building other packages
which use "lexical" feature of "%{crate}" crate.

%files       -n %{name}+lexical-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+lexical-core-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+lexical-core-devel %{_description}

This package contains library source intended for building other packages
which use "lexical-core" feature of "%{crate}" crate.

%files       -n %{name}+lexical-core-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages
which use "regex" feature of "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+regexp-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regexp-devel %{_description}

This package contains library source intended for building other packages
which use "regexp" feature of "%{crate}" crate.

%files       -n %{name}+regexp-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifarch %{ix86} %{arm}
# skip a test with wrong overflow behaviour on 32-bit architectures
# https://github.com/Geal/nom/issues/1278
%cargo_test -- -- --skip issue_848_overflow_incomplete_bits_to_bytes
%else
%cargo_test
%endif
%endif

%changelog
* Sat Aug 28 2021 Fabio Valentini <decathorpe@gmail.com> 6.2.1-1
- Initial import (nom 6 compat package)
